import 'package:flutter/material.dart';

class CustomMarker extends StatelessWidget {
  const CustomMarker({super.key, required void Function() onTap})
      : _onTap = onTap;

  final void Function() _onTap;

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: _onTap,
      child: Icon(
        Icons.location_on_sharp,
        color: Theme.of(context).colorScheme.primary,
        size: 30,
      ),
    );
  }
}
